curl --request PUT \
--url https://api.eflow.team/v1/networks/reports/schedules/{scheduleId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "Weekly Offer Performance",
"frequency": "weekly",
"schedule_status": "active",
"time_interval": "last_7_days",
"time_hour": 9,
"week_day": 1,
"format": "csv",
"additional_recipients": [
"reports@example.com"
],
"report": {
"report_type": "offer",
"timezone_id": 90,
"currency_id": "USD",
"from": "2025-01-01",
"to": "2025-01-07"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}"
payload = {
"name": "Weekly Offer Performance",
"frequency": "weekly",
"schedule_status": "active",
"time_interval": "last_7_days",
"time_hour": 9,
"week_day": 1,
"format": "csv",
"additional_recipients": ["reports@example.com"],
"report": {
"report_type": "offer",
"timezone_id": 90,
"currency_id": "USD",
"from": "2025-01-01",
"to": "2025-01-07"
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Weekly Offer Performance',
frequency: 'weekly',
schedule_status: 'active',
time_interval: 'last_7_days',
time_hour: 9,
week_day: 1,
format: 'csv',
additional_recipients: ['reports@example.com'],
report: {
report_type: 'offer',
timezone_id: 90,
currency_id: 'USD',
from: '2025-01-01',
to: '2025-01-07'
}
})
};
fetch('https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Weekly Offer Performance',
'frequency' => 'weekly',
'schedule_status' => 'active',
'time_interval' => 'last_7_days',
'time_hour' => 9,
'week_day' => 1,
'format' => 'csv',
'additional_recipients' => [
'reports@example.com'
],
'report' => [
'report_type' => 'offer',
'timezone_id' => 90,
'currency_id' => 'USD',
'from' => '2025-01-01',
'to' => '2025-01-07'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}"
payload := strings.NewReader("{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}"
response = http.request(request)
puts response.read_body{}Update Report Schedule
curl --request PUT \
--url https://api.eflow.team/v1/networks/reports/schedules/{scheduleId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "Weekly Offer Performance",
"frequency": "weekly",
"schedule_status": "active",
"time_interval": "last_7_days",
"time_hour": 9,
"week_day": 1,
"format": "csv",
"additional_recipients": [
"reports@example.com"
],
"report": {
"report_type": "offer",
"timezone_id": 90,
"currency_id": "USD",
"from": "2025-01-01",
"to": "2025-01-07"
}
}
'import requests
url = "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}"
payload = {
"name": "Weekly Offer Performance",
"frequency": "weekly",
"schedule_status": "active",
"time_interval": "last_7_days",
"time_hour": 9,
"week_day": 1,
"format": "csv",
"additional_recipients": ["reports@example.com"],
"report": {
"report_type": "offer",
"timezone_id": 90,
"currency_id": "USD",
"from": "2025-01-01",
"to": "2025-01-07"
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Weekly Offer Performance',
frequency: 'weekly',
schedule_status: 'active',
time_interval: 'last_7_days',
time_hour: 9,
week_day: 1,
format: 'csv',
additional_recipients: ['reports@example.com'],
report: {
report_type: 'offer',
timezone_id: 90,
currency_id: 'USD',
from: '2025-01-01',
to: '2025-01-07'
}
})
};
fetch('https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Weekly Offer Performance',
'frequency' => 'weekly',
'schedule_status' => 'active',
'time_interval' => 'last_7_days',
'time_hour' => 9,
'week_day' => 1,
'format' => 'csv',
'additional_recipients' => [
'reports@example.com'
],
'report' => [
'report_type' => 'offer',
'timezone_id' => 90,
'currency_id' => 'USD',
'from' => '2025-01-01',
'to' => '2025-01-07'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}"
payload := strings.NewReader("{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/reports/schedules/{scheduleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Weekly Offer Performance\",\n \"frequency\": \"weekly\",\n \"schedule_status\": \"active\",\n \"time_interval\": \"last_7_days\",\n \"time_hour\": 9,\n \"week_day\": 1,\n \"format\": \"csv\",\n \"additional_recipients\": [\n \"reports@example.com\"\n ],\n \"report\": {\n \"report_type\": \"offer\",\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"from\": \"2025-01-01\",\n \"to\": \"2025-01-07\"\n }\n}"
response = http.request(request)
puts response.read_body{}Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The report schedule ID.
Body
The full report schedule configuration to set.
Name of the report schedule.
How often the report is delivered.
daily, weekly, monthly, quarterly Whether the schedule is active or inactive.
active, inactive The relative time interval for the report data.
today, yesterday, mtd, last_month, ytd, this_week, last_week, last_7_days, last_3_months Hour of the day (0-23) when the report should be sent.
Day of the month for monthly schedules.
Day of the week for weekly schedules (0=Sunday, 1=Monday, etc.).
Month for quarterly schedules.
List of employee IDs to receive the report.
Additional email addresses to receive the report.
Export format for the report.
json, csv, pdf, quickbooks, netsuite, zip List of metric types to include in the report.
List of custom metric IDs to include in the report.
The report configuration object. Contains the report type, date range, timezone, currency, and report-specific settings.
Show child attributes
Show child attributes
Response
Updated report schedule configuration.
Was this page helpful?
